Package org.eclipse.lemminx.settings.capabilities

## Class ServerCapabilitiesInitializer

- java.lang.Object
- - org.eclipse.lemminx.settings.capabilities.ServerCapabilitiesInitializer

    public class ServerCapabilitiesInitializer
    extends Object

All default capabilities of this server

### Method Summary

All Methods Static Methods Concrete Methods
`static org.eclipse.lsp4j.ServerCapabilities` `getNonDynamicServerCapabilities​(ClientCapabilitiesWrapper clientCapabilities, boolean isIncremental)` Returns all server capabilities (with default values) that aren't dynamic.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getNonDynamicServerCapabilities

    public static org.eclipse.lsp4j.ServerCapabilities getNonDynamicServerCapabilities​(ClientCapabilitiesWrapper clientCapabilities,
                                                                                       boolean isIncremental)

Returns all server capabilities (with default values) that aren't dynamic. A service's dynamic capability is indicated by the client.

Parameters:
  `clientCapabilities` -
Returns:
  ServerCapabilities object